package com.chinaitop.depot.intelligent.grainsituation.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TGasDataExample {
    /**
     * t_gas_data
     */
    protected String orderByClause;

    /**
     * t_gas_data
     */
    protected boolean distinct;

    /**
     * t_gas_data
     */
    protected List<Criteria> oredCriteria;

    public TGasDataExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_gas_data 2021-10-13
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(String value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(String value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(String value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(String value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(String value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(String value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLike(String value) {
            addCriterion("org_id like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotLike(String value) {
            addCriterion("org_id not like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<String> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<String> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(String value1, String value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(String value1, String value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andStoreCodeIsNull() {
            addCriterion("store_code is null");
            return (Criteria) this;
        }

        public Criteria andStoreCodeIsNotNull() {
            addCriterion("store_code is not null");
            return (Criteria) this;
        }

        public Criteria andStoreCodeEqualTo(String value) {
            addCriterion("store_code =", value, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeNotEqualTo(String value) {
            addCriterion("store_code <>", value, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeGreaterThan(String value) {
            addCriterion("store_code >", value, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeGreaterThanOrEqualTo(String value) {
            addCriterion("store_code >=", value, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeLessThan(String value) {
            addCriterion("store_code <", value, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeLessThanOrEqualTo(String value) {
            addCriterion("store_code <=", value, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeLike(String value) {
            addCriterion("store_code like", value, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeNotLike(String value) {
            addCriterion("store_code not like", value, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeIn(List<String> values) {
            addCriterion("store_code in", values, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeNotIn(List<String> values) {
            addCriterion("store_code not in", values, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeBetween(String value1, String value2) {
            addCriterion("store_code between", value1, value2, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeNotBetween(String value1, String value2) {
            addCriterion("store_code not between", value1, value2, "storeCode");
            return (Criteria) this;
        }

        public Criteria andResultTimeIsNull() {
            addCriterion("result_time is null");
            return (Criteria) this;
        }

        public Criteria andResultTimeIsNotNull() {
            addCriterion("result_time is not null");
            return (Criteria) this;
        }

        public Criteria andResultTimeEqualTo(Date value) {
            addCriterion("result_time =", value, "resultTime");
            return (Criteria) this;
        }

        public Criteria andResultTimeNotEqualTo(Date value) {
            addCriterion("result_time <>", value, "resultTime");
            return (Criteria) this;
        }

        public Criteria andResultTimeGreaterThan(Date value) {
            addCriterion("result_time >", value, "resultTime");
            return (Criteria) this;
        }

        public Criteria andResultTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("result_time >=", value, "resultTime");
            return (Criteria) this;
        }

        public Criteria andResultTimeLessThan(Date value) {
            addCriterion("result_time <", value, "resultTime");
            return (Criteria) this;
        }

        public Criteria andResultTimeLessThanOrEqualTo(Date value) {
            addCriterion("result_time <=", value, "resultTime");
            return (Criteria) this;
        }

        public Criteria andResultTimeIn(List<Date> values) {
            addCriterion("result_time in", values, "resultTime");
            return (Criteria) this;
        }

        public Criteria andResultTimeNotIn(List<Date> values) {
            addCriterion("result_time not in", values, "resultTime");
            return (Criteria) this;
        }

        public Criteria andResultTimeBetween(Date value1, Date value2) {
            addCriterion("result_time between", value1, value2, "resultTime");
            return (Criteria) this;
        }

        public Criteria andResultTimeNotBetween(Date value1, Date value2) {
            addCriterion("result_time not between", value1, value2, "resultTime");
            return (Criteria) this;
        }

        public Criteria andNowO2IsNull() {
            addCriterion("now_o2 is null");
            return (Criteria) this;
        }

        public Criteria andNowO2IsNotNull() {
            addCriterion("now_o2 is not null");
            return (Criteria) this;
        }

        public Criteria andNowO2EqualTo(Float value) {
            addCriterion("now_o2 =", value, "nowO2");
            return (Criteria) this;
        }

        public Criteria andNowO2NotEqualTo(Float value) {
            addCriterion("now_o2 <>", value, "nowO2");
            return (Criteria) this;
        }

        public Criteria andNowO2GreaterThan(Float value) {
            addCriterion("now_o2 >", value, "nowO2");
            return (Criteria) this;
        }

        public Criteria andNowO2GreaterThanOrEqualTo(Float value) {
            addCriterion("now_o2 >=", value, "nowO2");
            return (Criteria) this;
        }

        public Criteria andNowO2LessThan(Float value) {
            addCriterion("now_o2 <", value, "nowO2");
            return (Criteria) this;
        }

        public Criteria andNowO2LessThanOrEqualTo(Float value) {
            addCriterion("now_o2 <=", value, "nowO2");
            return (Criteria) this;
        }

        public Criteria andNowO2In(List<Float> values) {
            addCriterion("now_o2 in", values, "nowO2");
            return (Criteria) this;
        }

        public Criteria andNowO2NotIn(List<Float> values) {
            addCriterion("now_o2 not in", values, "nowO2");
            return (Criteria) this;
        }

        public Criteria andNowO2Between(Float value1, Float value2) {
            addCriterion("now_o2 between", value1, value2, "nowO2");
            return (Criteria) this;
        }

        public Criteria andNowO2NotBetween(Float value1, Float value2) {
            addCriterion("now_o2 not between", value1, value2, "nowO2");
            return (Criteria) this;
        }

        public Criteria andNowPh3IsNull() {
            addCriterion("now_ph3 is null");
            return (Criteria) this;
        }

        public Criteria andNowPh3IsNotNull() {
            addCriterion("now_ph3 is not null");
            return (Criteria) this;
        }

        public Criteria andNowPh3EqualTo(Float value) {
            addCriterion("now_ph3 =", value, "nowPh3");
            return (Criteria) this;
        }

        public Criteria andNowPh3NotEqualTo(Float value) {
            addCriterion("now_ph3 <>", value, "nowPh3");
            return (Criteria) this;
        }

        public Criteria andNowPh3GreaterThan(Float value) {
            addCriterion("now_ph3 >", value, "nowPh3");
            return (Criteria) this;
        }

        public Criteria andNowPh3GreaterThanOrEqualTo(Float value) {
            addCriterion("now_ph3 >=", value, "nowPh3");
            return (Criteria) this;
        }

        public Criteria andNowPh3LessThan(Float value) {
            addCriterion("now_ph3 <", value, "nowPh3");
            return (Criteria) this;
        }

        public Criteria andNowPh3LessThanOrEqualTo(Float value) {
            addCriterion("now_ph3 <=", value, "nowPh3");
            return (Criteria) this;
        }

        public Criteria andNowPh3In(List<Float> values) {
            addCriterion("now_ph3 in", values, "nowPh3");
            return (Criteria) this;
        }

        public Criteria andNowPh3NotIn(List<Float> values) {
            addCriterion("now_ph3 not in", values, "nowPh3");
            return (Criteria) this;
        }

        public Criteria andNowPh3Between(Float value1, Float value2) {
            addCriterion("now_ph3 between", value1, value2, "nowPh3");
            return (Criteria) this;
        }

        public Criteria andNowPh3NotBetween(Float value1, Float value2) {
            addCriterion("now_ph3 not between", value1, value2, "nowPh3");
            return (Criteria) this;
        }

        public Criteria andSouthO2IsNull() {
            addCriterion("south_o2 is null");
            return (Criteria) this;
        }

        public Criteria andSouthO2IsNotNull() {
            addCriterion("south_o2 is not null");
            return (Criteria) this;
        }

        public Criteria andSouthO2EqualTo(Float value) {
            addCriterion("south_o2 =", value, "southO2");
            return (Criteria) this;
        }

        public Criteria andSouthO2NotEqualTo(Float value) {
            addCriterion("south_o2 <>", value, "southO2");
            return (Criteria) this;
        }

        public Criteria andSouthO2GreaterThan(Float value) {
            addCriterion("south_o2 >", value, "southO2");
            return (Criteria) this;
        }

        public Criteria andSouthO2GreaterThanOrEqualTo(Float value) {
            addCriterion("south_o2 >=", value, "southO2");
            return (Criteria) this;
        }

        public Criteria andSouthO2LessThan(Float value) {
            addCriterion("south_o2 <", value, "southO2");
            return (Criteria) this;
        }

        public Criteria andSouthO2LessThanOrEqualTo(Float value) {
            addCriterion("south_o2 <=", value, "southO2");
            return (Criteria) this;
        }

        public Criteria andSouthO2In(List<Float> values) {
            addCriterion("south_o2 in", values, "southO2");
            return (Criteria) this;
        }

        public Criteria andSouthO2NotIn(List<Float> values) {
            addCriterion("south_o2 not in", values, "southO2");
            return (Criteria) this;
        }

        public Criteria andSouthO2Between(Float value1, Float value2) {
            addCriterion("south_o2 between", value1, value2, "southO2");
            return (Criteria) this;
        }

        public Criteria andSouthO2NotBetween(Float value1, Float value2) {
            addCriterion("south_o2 not between", value1, value2, "southO2");
            return (Criteria) this;
        }

        public Criteria andSouthPh3IsNull() {
            addCriterion("south_ph3 is null");
            return (Criteria) this;
        }

        public Criteria andSouthPh3IsNotNull() {
            addCriterion("south_ph3 is not null");
            return (Criteria) this;
        }

        public Criteria andSouthPh3EqualTo(Float value) {
            addCriterion("south_ph3 =", value, "southPh3");
            return (Criteria) this;
        }

        public Criteria andSouthPh3NotEqualTo(Float value) {
            addCriterion("south_ph3 <>", value, "southPh3");
            return (Criteria) this;
        }

        public Criteria andSouthPh3GreaterThan(Float value) {
            addCriterion("south_ph3 >", value, "southPh3");
            return (Criteria) this;
        }

        public Criteria andSouthPh3GreaterThanOrEqualTo(Float value) {
            addCriterion("south_ph3 >=", value, "southPh3");
            return (Criteria) this;
        }

        public Criteria andSouthPh3LessThan(Float value) {
            addCriterion("south_ph3 <", value, "southPh3");
            return (Criteria) this;
        }

        public Criteria andSouthPh3LessThanOrEqualTo(Float value) {
            addCriterion("south_ph3 <=", value, "southPh3");
            return (Criteria) this;
        }

        public Criteria andSouthPh3In(List<Float> values) {
            addCriterion("south_ph3 in", values, "southPh3");
            return (Criteria) this;
        }

        public Criteria andSouthPh3NotIn(List<Float> values) {
            addCriterion("south_ph3 not in", values, "southPh3");
            return (Criteria) this;
        }

        public Criteria andSouthPh3Between(Float value1, Float value2) {
            addCriterion("south_ph3 between", value1, value2, "southPh3");
            return (Criteria) this;
        }

        public Criteria andSouthPh3NotBetween(Float value1, Float value2) {
            addCriterion("south_ph3 not between", value1, value2, "southPh3");
            return (Criteria) this;
        }

        public Criteria andEastO2IsNull() {
            addCriterion("east_o2 is null");
            return (Criteria) this;
        }

        public Criteria andEastO2IsNotNull() {
            addCriterion("east_o2 is not null");
            return (Criteria) this;
        }

        public Criteria andEastO2EqualTo(Float value) {
            addCriterion("east_o2 =", value, "eastO2");
            return (Criteria) this;
        }

        public Criteria andEastO2NotEqualTo(Float value) {
            addCriterion("east_o2 <>", value, "eastO2");
            return (Criteria) this;
        }

        public Criteria andEastO2GreaterThan(Float value) {
            addCriterion("east_o2 >", value, "eastO2");
            return (Criteria) this;
        }

        public Criteria andEastO2GreaterThanOrEqualTo(Float value) {
            addCriterion("east_o2 >=", value, "eastO2");
            return (Criteria) this;
        }

        public Criteria andEastO2LessThan(Float value) {
            addCriterion("east_o2 <", value, "eastO2");
            return (Criteria) this;
        }

        public Criteria andEastO2LessThanOrEqualTo(Float value) {
            addCriterion("east_o2 <=", value, "eastO2");
            return (Criteria) this;
        }

        public Criteria andEastO2In(List<Float> values) {
            addCriterion("east_o2 in", values, "eastO2");
            return (Criteria) this;
        }

        public Criteria andEastO2NotIn(List<Float> values) {
            addCriterion("east_o2 not in", values, "eastO2");
            return (Criteria) this;
        }

        public Criteria andEastO2Between(Float value1, Float value2) {
            addCriterion("east_o2 between", value1, value2, "eastO2");
            return (Criteria) this;
        }

        public Criteria andEastO2NotBetween(Float value1, Float value2) {
            addCriterion("east_o2 not between", value1, value2, "eastO2");
            return (Criteria) this;
        }

        public Criteria andEastPh3IsNull() {
            addCriterion("east_ph3 is null");
            return (Criteria) this;
        }

        public Criteria andEastPh3IsNotNull() {
            addCriterion("east_ph3 is not null");
            return (Criteria) this;
        }

        public Criteria andEastPh3EqualTo(Float value) {
            addCriterion("east_ph3 =", value, "eastPh3");
            return (Criteria) this;
        }

        public Criteria andEastPh3NotEqualTo(Float value) {
            addCriterion("east_ph3 <>", value, "eastPh3");
            return (Criteria) this;
        }

        public Criteria andEastPh3GreaterThan(Float value) {
            addCriterion("east_ph3 >", value, "eastPh3");
            return (Criteria) this;
        }

        public Criteria andEastPh3GreaterThanOrEqualTo(Float value) {
            addCriterion("east_ph3 >=", value, "eastPh3");
            return (Criteria) this;
        }

        public Criteria andEastPh3LessThan(Float value) {
            addCriterion("east_ph3 <", value, "eastPh3");
            return (Criteria) this;
        }

        public Criteria andEastPh3LessThanOrEqualTo(Float value) {
            addCriterion("east_ph3 <=", value, "eastPh3");
            return (Criteria) this;
        }

        public Criteria andEastPh3In(List<Float> values) {
            addCriterion("east_ph3 in", values, "eastPh3");
            return (Criteria) this;
        }

        public Criteria andEastPh3NotIn(List<Float> values) {
            addCriterion("east_ph3 not in", values, "eastPh3");
            return (Criteria) this;
        }

        public Criteria andEastPh3Between(Float value1, Float value2) {
            addCriterion("east_ph3 between", value1, value2, "eastPh3");
            return (Criteria) this;
        }

        public Criteria andEastPh3NotBetween(Float value1, Float value2) {
            addCriterion("east_ph3 not between", value1, value2, "eastPh3");
            return (Criteria) this;
        }

        public Criteria andNorthO2IsNull() {
            addCriterion("north_o2 is null");
            return (Criteria) this;
        }

        public Criteria andNorthO2IsNotNull() {
            addCriterion("north_o2 is not null");
            return (Criteria) this;
        }

        public Criteria andNorthO2EqualTo(Float value) {
            addCriterion("north_o2 =", value, "northO2");
            return (Criteria) this;
        }

        public Criteria andNorthO2NotEqualTo(Float value) {
            addCriterion("north_o2 <>", value, "northO2");
            return (Criteria) this;
        }

        public Criteria andNorthO2GreaterThan(Float value) {
            addCriterion("north_o2 >", value, "northO2");
            return (Criteria) this;
        }

        public Criteria andNorthO2GreaterThanOrEqualTo(Float value) {
            addCriterion("north_o2 >=", value, "northO2");
            return (Criteria) this;
        }

        public Criteria andNorthO2LessThan(Float value) {
            addCriterion("north_o2 <", value, "northO2");
            return (Criteria) this;
        }

        public Criteria andNorthO2LessThanOrEqualTo(Float value) {
            addCriterion("north_o2 <=", value, "northO2");
            return (Criteria) this;
        }

        public Criteria andNorthO2In(List<Float> values) {
            addCriterion("north_o2 in", values, "northO2");
            return (Criteria) this;
        }

        public Criteria andNorthO2NotIn(List<Float> values) {
            addCriterion("north_o2 not in", values, "northO2");
            return (Criteria) this;
        }

        public Criteria andNorthO2Between(Float value1, Float value2) {
            addCriterion("north_o2 between", value1, value2, "northO2");
            return (Criteria) this;
        }

        public Criteria andNorthO2NotBetween(Float value1, Float value2) {
            addCriterion("north_o2 not between", value1, value2, "northO2");
            return (Criteria) this;
        }

        public Criteria andNorthPh3IsNull() {
            addCriterion("north_ph3 is null");
            return (Criteria) this;
        }

        public Criteria andNorthPh3IsNotNull() {
            addCriterion("north_ph3 is not null");
            return (Criteria) this;
        }

        public Criteria andNorthPh3EqualTo(Float value) {
            addCriterion("north_ph3 =", value, "northPh3");
            return (Criteria) this;
        }

        public Criteria andNorthPh3NotEqualTo(Float value) {
            addCriterion("north_ph3 <>", value, "northPh3");
            return (Criteria) this;
        }

        public Criteria andNorthPh3GreaterThan(Float value) {
            addCriterion("north_ph3 >", value, "northPh3");
            return (Criteria) this;
        }

        public Criteria andNorthPh3GreaterThanOrEqualTo(Float value) {
            addCriterion("north_ph3 >=", value, "northPh3");
            return (Criteria) this;
        }

        public Criteria andNorthPh3LessThan(Float value) {
            addCriterion("north_ph3 <", value, "northPh3");
            return (Criteria) this;
        }

        public Criteria andNorthPh3LessThanOrEqualTo(Float value) {
            addCriterion("north_ph3 <=", value, "northPh3");
            return (Criteria) this;
        }

        public Criteria andNorthPh3In(List<Float> values) {
            addCriterion("north_ph3 in", values, "northPh3");
            return (Criteria) this;
        }

        public Criteria andNorthPh3NotIn(List<Float> values) {
            addCriterion("north_ph3 not in", values, "northPh3");
            return (Criteria) this;
        }

        public Criteria andNorthPh3Between(Float value1, Float value2) {
            addCriterion("north_ph3 between", value1, value2, "northPh3");
            return (Criteria) this;
        }

        public Criteria andNorthPh3NotBetween(Float value1, Float value2) {
            addCriterion("north_ph3 not between", value1, value2, "northPh3");
            return (Criteria) this;
        }

        public Criteria andWestO2IsNull() {
            addCriterion("west_o2 is null");
            return (Criteria) this;
        }

        public Criteria andWestO2IsNotNull() {
            addCriterion("west_o2 is not null");
            return (Criteria) this;
        }

        public Criteria andWestO2EqualTo(Float value) {
            addCriterion("west_o2 =", value, "westO2");
            return (Criteria) this;
        }

        public Criteria andWestO2NotEqualTo(Float value) {
            addCriterion("west_o2 <>", value, "westO2");
            return (Criteria) this;
        }

        public Criteria andWestO2GreaterThan(Float value) {
            addCriterion("west_o2 >", value, "westO2");
            return (Criteria) this;
        }

        public Criteria andWestO2GreaterThanOrEqualTo(Float value) {
            addCriterion("west_o2 >=", value, "westO2");
            return (Criteria) this;
        }

        public Criteria andWestO2LessThan(Float value) {
            addCriterion("west_o2 <", value, "westO2");
            return (Criteria) this;
        }

        public Criteria andWestO2LessThanOrEqualTo(Float value) {
            addCriterion("west_o2 <=", value, "westO2");
            return (Criteria) this;
        }

        public Criteria andWestO2In(List<Float> values) {
            addCriterion("west_o2 in", values, "westO2");
            return (Criteria) this;
        }

        public Criteria andWestO2NotIn(List<Float> values) {
            addCriterion("west_o2 not in", values, "westO2");
            return (Criteria) this;
        }

        public Criteria andWestO2Between(Float value1, Float value2) {
            addCriterion("west_o2 between", value1, value2, "westO2");
            return (Criteria) this;
        }

        public Criteria andWestO2NotBetween(Float value1, Float value2) {
            addCriterion("west_o2 not between", value1, value2, "westO2");
            return (Criteria) this;
        }

        public Criteria andWestPh3IsNull() {
            addCriterion("west_ph3 is null");
            return (Criteria) this;
        }

        public Criteria andWestPh3IsNotNull() {
            addCriterion("west_ph3 is not null");
            return (Criteria) this;
        }

        public Criteria andWestPh3EqualTo(Float value) {
            addCriterion("west_ph3 =", value, "westPh3");
            return (Criteria) this;
        }

        public Criteria andWestPh3NotEqualTo(Float value) {
            addCriterion("west_ph3 <>", value, "westPh3");
            return (Criteria) this;
        }

        public Criteria andWestPh3GreaterThan(Float value) {
            addCriterion("west_ph3 >", value, "westPh3");
            return (Criteria) this;
        }

        public Criteria andWestPh3GreaterThanOrEqualTo(Float value) {
            addCriterion("west_ph3 >=", value, "westPh3");
            return (Criteria) this;
        }

        public Criteria andWestPh3LessThan(Float value) {
            addCriterion("west_ph3 <", value, "westPh3");
            return (Criteria) this;
        }

        public Criteria andWestPh3LessThanOrEqualTo(Float value) {
            addCriterion("west_ph3 <=", value, "westPh3");
            return (Criteria) this;
        }

        public Criteria andWestPh3In(List<Float> values) {
            addCriterion("west_ph3 in", values, "westPh3");
            return (Criteria) this;
        }

        public Criteria andWestPh3NotIn(List<Float> values) {
            addCriterion("west_ph3 not in", values, "westPh3");
            return (Criteria) this;
        }

        public Criteria andWestPh3Between(Float value1, Float value2) {
            addCriterion("west_ph3 between", value1, value2, "westPh3");
            return (Criteria) this;
        }

        public Criteria andWestPh3NotBetween(Float value1, Float value2) {
            addCriterion("west_ph3 not between", value1, value2, "westPh3");
            return (Criteria) this;
        }

        public Criteria andInO2IsNull() {
            addCriterion("in_o2 is null");
            return (Criteria) this;
        }

        public Criteria andInO2IsNotNull() {
            addCriterion("in_o2 is not null");
            return (Criteria) this;
        }

        public Criteria andInO2EqualTo(Float value) {
            addCriterion("in_o2 =", value, "inO2");
            return (Criteria) this;
        }

        public Criteria andInO2NotEqualTo(Float value) {
            addCriterion("in_o2 <>", value, "inO2");
            return (Criteria) this;
        }

        public Criteria andInO2GreaterThan(Float value) {
            addCriterion("in_o2 >", value, "inO2");
            return (Criteria) this;
        }

        public Criteria andInO2GreaterThanOrEqualTo(Float value) {
            addCriterion("in_o2 >=", value, "inO2");
            return (Criteria) this;
        }

        public Criteria andInO2LessThan(Float value) {
            addCriterion("in_o2 <", value, "inO2");
            return (Criteria) this;
        }

        public Criteria andInO2LessThanOrEqualTo(Float value) {
            addCriterion("in_o2 <=", value, "inO2");
            return (Criteria) this;
        }

        public Criteria andInO2In(List<Float> values) {
            addCriterion("in_o2 in", values, "inO2");
            return (Criteria) this;
        }

        public Criteria andInO2NotIn(List<Float> values) {
            addCriterion("in_o2 not in", values, "inO2");
            return (Criteria) this;
        }

        public Criteria andInO2Between(Float value1, Float value2) {
            addCriterion("in_o2 between", value1, value2, "inO2");
            return (Criteria) this;
        }

        public Criteria andInO2NotBetween(Float value1, Float value2) {
            addCriterion("in_o2 not between", value1, value2, "inO2");
            return (Criteria) this;
        }

        public Criteria andInPh3IsNull() {
            addCriterion("in_ph3 is null");
            return (Criteria) this;
        }

        public Criteria andInPh3IsNotNull() {
            addCriterion("in_ph3 is not null");
            return (Criteria) this;
        }

        public Criteria andInPh3EqualTo(Float value) {
            addCriterion("in_ph3 =", value, "inPh3");
            return (Criteria) this;
        }

        public Criteria andInPh3NotEqualTo(Float value) {
            addCriterion("in_ph3 <>", value, "inPh3");
            return (Criteria) this;
        }

        public Criteria andInPh3GreaterThan(Float value) {
            addCriterion("in_ph3 >", value, "inPh3");
            return (Criteria) this;
        }

        public Criteria andInPh3GreaterThanOrEqualTo(Float value) {
            addCriterion("in_ph3 >=", value, "inPh3");
            return (Criteria) this;
        }

        public Criteria andInPh3LessThan(Float value) {
            addCriterion("in_ph3 <", value, "inPh3");
            return (Criteria) this;
        }

        public Criteria andInPh3LessThanOrEqualTo(Float value) {
            addCriterion("in_ph3 <=", value, "inPh3");
            return (Criteria) this;
        }

        public Criteria andInPh3In(List<Float> values) {
            addCriterion("in_ph3 in", values, "inPh3");
            return (Criteria) this;
        }

        public Criteria andInPh3NotIn(List<Float> values) {
            addCriterion("in_ph3 not in", values, "inPh3");
            return (Criteria) this;
        }

        public Criteria andInPh3Between(Float value1, Float value2) {
            addCriterion("in_ph3 between", value1, value2, "inPh3");
            return (Criteria) this;
        }

        public Criteria andInPh3NotBetween(Float value1, Float value2) {
            addCriterion("in_ph3 not between", value1, value2, "inPh3");
            return (Criteria) this;
        }
    }

    /**
     * t_gas_data
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_gas_data 2021-10-13
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}